//
//  UserInfoHttpPostCmd.m
//  MobilePortal
//
//  Created by caiyang on 2020/8/13.
//  Copyright © 2020 yin chen. All rights reserved.
//

#import "UserInfoHttpPostCmd.h"
#import "UserInfoHttpPostResult.h"
static NSString *kActionUrl1 = @"/appEir/queryCurrentUser";

@implementation UserInfoHttpPostCmd

-(instancetype)initWithVersion:(NSString *)version{
    if ([version isEqualToString:PHttpVersion_v1]) {
        return [[UserInfoHttpPostCmd alloc]initWithAuthorizationState:AuthorizationNull];
    }else{
        NSAssert(NO, @"Invalid version");
    }
    return nil;
}

- (instancetype)initWithAuthorizationState:(AuthorizationState)state{
    self = [super initWithAuthorizationState:state];
    if (self != nil) {
        self.result = [[UserInfoHttpPostResult alloc]init];
    }
    return self;
}

- (NSString *)getActionUrl{
    return kActionUrl1;
}

@end
NSString * _Nonnull const kHttpUserInfoHttpPostCmd_name = @"name";
NSString * _Nonnull const kHttpUserInfoHttpPostCmd_attr = @"attr";
